1. Bazerk83's Avatar
    Ok I am fully aware that 3.1.3 jailbreak is not possible (even though snowbreeze itself claims to be able to do so....go figure).

    What if the phone is downgraded from 3.1.3 to 3.1.2.

    My question is.... is this possible? I did try it once and it didn't seem to work so I wanted to ask, potentially, an expert on this or someone who may have tried it themselves (and hopefully succeded).

    If it were possible to downgrade to 3.1.2 would it then be possible to jailbreak my iPhone 3GS.


    Also. I'm trying to figure out if I have the old bootrom or not. I've been hunting around the internet for an answer but nobody seems to be stating a clear answer.

    All I know is something to do with new vs old models and the 4th and 5th digits of the serial number.


    Well My iPhone is only a couple of months old however the serial number starts 85002R....

    Model: MC131B
    Modem FW: 05.12.01


    So does this have the old bootrom or am I totally screwed with it being a new phone + having 3.1.3 FW?


    Some clear answers would be nice guys because I've found a ton of sites saying 3.1.3 is now jailbreakable with Snowbreeze and even youtube videos showing it to be possible.


    (Yes, I've read the sticky)


    Thanks guys.
    03-23-2010 04:46 PM
  2. LVCIFER's Avatar
    3.1.3 CAN be jailbroken on the 2G + unlocked. It can be jailbroken with redsn0w on the 3G, but not unlocked unless you use sn0wbreeze/PwnageTool. The 3G[s] can be jailbroken only if it has the old bootrom, was previously jailbroken, and only through sn0wbreeze/PwnageTool. It can then be unlocked by ultrasn0w or blacksn0w.

    Now, to obtain information about your bootrom, go to ih8sn0w.com and use their pogram - f0recast. It gives you all that info.

    You're on 05.12 baseband. You cannot unlock.

    Downgrading your OS ("operating system") is possible only if you hve 3.1.2 or lower SHSH hashes on file with Cydia.
    03-23-2010 04:59 PM
  3. Bazerk83's Avatar
    Thanks for the quick reply and ALL the answers I was looking for

    So basically I'm screwed because of my baseband?


    Well that sucks....

    I'm pretty sure I don't have 3.1.2 or lower SHSH hashes on file with Cydia because I have no idea what SHSH hashes are lol.
    03-23-2010 05:03 PM
  4. LVCIFER's Avatar
    Ok, if your baseband is only screwing you if you intend on unlocking and using your phone on a different carrier.

    It may be your bootrom that's screwing you up. If you have the newer bootrom, you won't even be able to jailbreak yet. The good news is that soon enough, 3.2 is being released, and that jailbreak and unlock will be released shortly thereafter.
    03-23-2010 05:08 PM
  5. Bazerk83's Avatar
    and I've just read that to downgrade, you need to have had the phone previously jailbroken.... which is the most stupid logic I've ever read in my life.


    Ah well.... no jailbreak for me then.

    03-23-2010 05:09 PM
  6. Bazerk83's Avatar
    Ok, if your baseband is only screwing you if you intend on unlocking and using your phone on a different carrier.

    It may be your bootrom that's screwing you up. If you have the newer bootrom, you won't even be able to jailbreak yet. The good news is that soon enough, 3.2 is being released, and that jailbreak and unlock will be released shortly thereafter.
    That is good news.

    No I just want to jailbreak it not unlock it. So baseband isn't an issue with jailbreaking?

    I guess my next step is to download f0recast and see what bootrom I have.
    03-23-2010 05:10 PM
  7. Bazerk83's Avatar
    f0recast results

    Bootloader: 6.4

    Model: MC131

    Jailbreakable?: Only if SHSH is saved.

    Unlockable: NO

    Tethered?: Maybe - Depends if Refurb
    03-23-2010 05:15 PM
  8. LVCIFER's Avatar
    Aha. It's saying that you can only jailbreak if you've previously been jailbroken, so you're probably sh*t out of luck man. In order to ave your SHSH hashes saved, you have to have previously been jailbroken. That's what they mean.
    03-23-2010 05:26 PM
  9. Bazerk83's Avatar
    Crap....


    Figured as much. So even if I enter DFU mode and install custom firmware it still won't work?
    03-23-2010 05:29 PM
  10. Bazerk83's Avatar
    Nevermind.... I can't even do THAT lol.

    This 3.1.3 FW sucks.....

    Roll on 3.2
    03-23-2010 05:32 PM
  11. LVCIFER's Avatar
    Yeah, in order to use a custom Firmware you would need to have been previously jailbroken. *chuckle*
    03-23-2010 05:40 PM
  12. Bazerk83's Avatar
    ARGH! its like a vicious circle.

    I'll take your advice mate and just wait for 3.2 lol.

    I know I sound like a complete n00b. When I first got my iPhone my big mistake was updating the firmware without knowing that is EXACTLY what will stop me jailbreaking.

    At the time though.... I hadn't even heard of jailbreaking.

    So I'm an innocent and unknowing victim lol.
    03-23-2010 05:45 PM
  13. Bazerk83's Avatar
    Thanks for all your help though I appreciate it.
    03-23-2010 05:46 PM
  14. LVCIFER's Avatar
    Honestly, 95% of the time, the hackers release a jailbreak for EVERY Firmware. The problem is that say that an upgrade firmware is released today, the jailbreak tools will be released within approx 2 weeks. So it's NEVER a good idea to upgrade as soon as the official Apple upgrade is release. It's always better to wait for a bit.
    03-23-2010 05:59 PM
LINK TO POST COPIED TO CLIPBOARD